function enablewiederholungsedit
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
global wiederholungsstatus anzahlwiederholungen faktorausschluss
wiederholungsedit=findobj('tag','wiederholungedit');
wiederholungsradio=findobj('tag','wiederholungsradio');
faktorausschlussradio = findobj('tag','faktorausschlussradio');
if get(wiederholungsradio,'Value')==1
    set(wiederholungsedit,'Enable','on');
    if strcmp(get(wiederholungsedit,'String'),'0')
        set(wiederholungsedit,'String','');
    end
    set(faktorausschlussradio,'Value',0);
    faktorausschluss=0;
else
    set(wiederholungsedit,'Enable','off');
    set(wiederholungsedit,'String','0');
    wiederholungsstatus = 0;
    anzahlwiederholungen = 1;
    wiederholungsvec=[];
    
    
end
return